SoulFire LogoSoulFire

Get inventory state

Returns the current state of the bot's open container/inventory. Includes layout information, slot contents, and carried item. The bot must be online with a valid player.

GET
/v1/instances/{instance_id}/bots/{bot_id}/inventory

Returns the current state of the bot's open container/inventory. Includes layout information, slot contents, and carried item. The bot must be online with a valid player.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string

The UUID of the SoulFire instance containing the bot.

Formatuuid
bot_id*string

The profile UUID of the bot to get inventory state for.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/inventory"
{  "layout": {    "title": "string",    "regions": [      {        "id": "string",        "label": "string",        "startIndex": 0,        "slotCount": 0,        "columns": 0,        "type": "SLOT_REGION_NORMAL"      }    ],    "totalSlots": 0,    "buttons": [      {        "buttonId": 0,        "label": "string",        "iconItemId": "string",        "description": "string",        "disabled": true,        "selected": true      }    ],    "containerType": "string",    "textInputs": [      {        "id": "string",        "label": "string",        "currentValue": "string",        "maxLength": 0,        "placeholder": "string"      }    ],    "bookPages": [      {        "pageNumber": 0,        "content": "string"      }    ],    "currentBookPage": 0  },  "slots": [    {      "slot": 0,      "itemId": "string",      "count": 0,      "displayName": "string",      "iconBase64": "string",      "iconMimeType": "string"    }  ],  "carriedItem": {    "slot": 0,    "itemId": "string",    "count": 0,    "displayName": "string",    "iconBase64": "string",    "iconMimeType": "string"  },  "selectedHotbarSlot": 0}

How is this page?